#include <stdio.h>
#include <stdlib.h>


struct point {
    double x;
    double y;    
};

int cmp(const void *a, const void*b) {
    point *c, *d;
    c = (point *)a;
    d = (point *)b;
    if (fabs(c->x - d->x)<0.00001 && fabs(c->y - d->y)<0.00001) return 0;
    
    if (c->x > d->x) return 1;
    else if (c->x < d->x) return -1;
    else {
	if (c->y > d->y) return 1;
	else if (c->y < d->y) return -1;
    }
    return 0;
}

void oposite(point s, point a,point *a2) {
    double dx;
    double dy;
    
    dx = a.x-s.x;
    dy = a.y-s.y;
    a2->x = s.x - dx;
    a2->y = s.y - dy;
}

int main () {
    point p[20004];
    int n;
    scanf("%d", &n);
    while (n != 0) {
	for (int i=0; i<n; i++) {
	    scanf("%lf%lf", &p[i].x, &p[i].y);
	}
	qsort(p, n, sizeof(point), cmp);
	double sumx = 0, sumy = 0;
	for (int j=0; j<n; j++) {
	    sumx += p[j].x;
	    sumy += p[j].y;
	}
	double stredx, stredy;
	stredx = (double)sumx/n;
	stredy = (double)sumy/n;
	point s;
	s.x = stredx;
	s.y = stredy;
	
	int tisk = 1;
	for (int i=0; i<n; i++) {
	    point l;
	    oposite(s, p[i],&l);
	    if (NULL == bsearch(&l, p, n, sizeof(point), cmp))  {
		tisk = 0;
		printf("This is a dangerous situation!\n");
		break;
	    }
	}
	
	if (tisk) {
	    printf("V.I.P. should stay at (%.1f,%.1f).\n", s.x, s.y);
	}
	scanf("%d", &n);
    }

    return 0;
}